Skip to main content
GET
/
api
/
v1
/
recipients
Get All Data Recipients
curl --request GET \
  --url https://ob.flinksapp.com/api/v1/recipients \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://ob.flinksapp.com/api/v1/recipients"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://ob.flinksapp.com/api/v1/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "client_id": "dc-xxxxxxxxxxxxxxxxxxxxxxxxx",
    "name": "Flinks Fake",
    "logo_uri": "https://flinks.fake.com/logo.png",
    "description": "Description of Flinks Fake",
    "terms_uri": "https://flinks.fake.com/callback/terms.html",
    "client_uri": "https://flinks.fake.com/",
    "country": "CA",
    "contacts": [
      {
        "email": "john.doe@flinks.fake.com"
      }
    ]
  }
]
{
"message": "Invalid request parameters"
}
{
"message": "Invalid Bearer Token"
}
{
"message": "Internal Server Error"
}
Use the /api/v1/recipients endpoint to get a list of all registered Data Recipients. To successfully call this endpoint, you must first call the /Token endpoint to obtain a valid access_token using the following settings:
  • grant_type: client_credentials
  • client_id: {partner client_id}
  • client_secret: {partner client_secret}
  • scope: client:admin

Authorizations

Authorization
string
header
required

Bearer token obtained from the /Token endpoint.

Response

Result

client_id
string

Unique identifier for the data recipient.

name
string

Name of the data recipient.

logo_uri
string

URL to the data recipient's logo.

description
string

Description of the data recipient.

terms_uri
string

URL to the data recipient's terms of service.

client_uri
string

URL to the data recipient's website.

country
string

Country code of the data recipient (e.g., CA, US).

contacts
object[]

Contact information for the data recipient.